Holger's Java API

## com.antelmann.sound
Interface SoundPlayer.Listener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  JMP3Player, JPlayer, JukeBox

Enclosing class:
  SoundPlayer

    public static interface SoundPlayer.Listener

extends EventListener

This interface allows implementing classes to be notified when certain supported events by the SoundPlayer are triggered.

Method Summary
`void` `musicStopped(SoundPlayer sound)` called when the music played by the given SoundPlayer reached its end.

Method Detail

### musicStopped

    void musicStopped(SoundPlayer sound)

  called when the music played by the given SoundPlayer reached its end. For Midi sounds, this happens whenever the end of the sequence is reached; for standard audio sounds, this only happens if the sound was never interrupted by a call to stop() or setMicrosecondPosition().

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads